CSIN(3)

NAME
csin, csinf, csinl - complex sine function

SYNOPSIS
#include <complex.h>

double complex csin(double complex z);
float complex csinf(float complex z);
long double complex csinl(long double complex z);

Link with -lm.

DESCRIPTION
These functions calculate the complex sine of z.

The complex sine function is defined as:

    csin(z) = (exp(i * z) - exp(-i * z)) / (2 * i)

VERSIONS
These functions first appeared in glibc in version 2.1.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
C99, POSIX.1-2001, POSIX.1-2008.

SEE ALSO
cabs(3), casin(3), ccos(3), ctan(3), complex(7)

COLOPHON
This page is part of release 5.08 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.